Loading...
Searching...
No Matches
trc_mem_acc_cache.h File Reference

OpenCSD : Memory accessor cache. More...

`#include <string>`
`#include "opencsd/ocsd_if_types.h"`
Include dependency graph for trc_mem_acc_cache.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cache_block
class | TrcMemAccCache

## Macros

#define | MEM_ACC_CACHE_DEFAULT_PAGE_SIZE 2048
#define | MEM_ACC_CACHE_DEFAULT_MRU_SIZE 16
#define | MEM_ACC_CACHE_PAGE_SIZE_MAX 16384
#define | MEM_ACC_CACHE_MRU_SIZE_MAX 256
#define | MEM_ACC_CACHE_PAGE_SIZE_MIN 64
#define | MEM_ACC_CACHE_MRU_SIZE_MIN 4
#define | OCSD_ENV_MEMACC_CACHE_OFF "OPENCSD_MEMACC_CACHE_OFF"
#define | OCSD_ENV_MEMACC_CACHE_PG_SIZE "OPENCSD_MEMACC_CACHE_PAGE_SIZE"
#define | OCSD_ENV_MEMACC_CACHE_PG_NUM "OPENCSD_MEMACC_CACHE_PAGE_NUM"

## Typedefs

typedef struct cache_block | cache_block_t

## Detailed Description

OpenCSD : Memory accessor cache.

Copyright
  Copyright (c) 2018, ARM Limited. All Rights Reserved.

Definition in file trc_mem_acc_cache.h.

## Macro Definition Documentation

## MEM_ACC_CACHE_DEFAULT_MRU_SIZE

#define MEM_ACC_CACHE_DEFAULT_MRU_SIZE 16

Definition at line 42 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_DEFAULT_PAGE_SIZE

#define MEM_ACC_CACHE_DEFAULT_PAGE_SIZE 2048

Definition at line 41 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_MRU_SIZE_MAX

#define MEM_ACC_CACHE_MRU_SIZE_MAX 256

Definition at line 44 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_MRU_SIZE_MIN

#define MEM_ACC_CACHE_MRU_SIZE_MIN 4

Definition at line 46 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_PAGE_SIZE_MAX

#define MEM_ACC_CACHE_PAGE_SIZE_MAX 16384

Definition at line 43 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_PAGE_SIZE_MIN

#define MEM_ACC_CACHE_PAGE_SIZE_MIN 64

Definition at line 45 of file trc_mem_acc_cache.h.

## OCSD_ENV_MEMACC_CACHE_OFF

#define OCSD_ENV_MEMACC_CACHE_OFF "OPENCSD_MEMACC_CACHE_OFF"

Definition at line 48 of file trc_mem_acc_cache.h.

## OCSD_ENV_MEMACC_CACHE_PG_NUM

#define OCSD_ENV_MEMACC_CACHE_PG_NUM "OPENCSD_MEMACC_CACHE_PAGE_NUM"

Definition at line 50 of file trc_mem_acc_cache.h.

## OCSD_ENV_MEMACC_CACHE_PG_SIZE

#define OCSD_ENV_MEMACC_CACHE_PG_SIZE "OPENCSD_MEMACC_CACHE_PAGE_SIZE"

Definition at line 49 of file trc_mem_acc_cache.h.

## Typedef Documentation

## cache_block_t

typedef struct cache_block cache_block_t